<?php
/**
 * @category Bootstrap
 * @package Drupal MVC Example
 * @author Dmitry Sheiko <me@dsheiko.com>
 * @copyright 2010-2011 Dmitry Sheiko
 * @license GNU
 * @version $Revision$
 * @link http://dsheiko.com
 */

define("LOG_PATH", realpath(dirname(__FILE__) . "/files/"));
define("ROOT_PATH", realpath(dirname(__FILE__) . "/../../"));
define("THEME_PATH", realpath(dirname(__FILE__) . "/"));
define("TPL_PATH", realpath(dirname(__FILE__) . "/themes/garland"));

/**
 * Log given data.
 *
 * @param mixed $param1
 * @param mixed $paramX
 */
function log_print_r()
{
    foreach (func_get_args() as $data) {
        file_put_contents(LOG_PATH . "/log.txt",   print_r($data, 1) . "\n\n\n", FILE_APPEND);
    }
}
/**
 * Shutdown handler for Drupal to trace fatal errors
 */
function shutdownHandler()
{
    $err = error_get_last();
    if ($err) {
        log_print_r($err);
    }

}
register_shutdown_function('shutdownHandler');

if (!class_exists('Lib_Autoloader')) {
    include THEME_PATH . "/Lib/Autoloader.php";
    new Lib_Autoloader();
}
